##
##  procmail.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         procmail
Summary:      Local Mail Filtering and Delivering Tool
URL:          http://www.procmail.org/
Vendor:       Stephen R. van den Berg
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Mail
License:      GPL
Version:      3.22
Release:      20020206

#   list of sources
Source0:      ftp://ftp.procmail.org/pub/procmail/procmail-%{version}.tar.gz
Source1:      procmailrc

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    Procmail can be used to create mail-servers, mailing lists, sort
    your incoming mail into separate folders/files (real convenient
    when subscribing to one or more mailing lists or for prioritising
    your mail), preprocess your mail, start any programs upon mail
    arrival (e.g. to generate different chimes on your workstation for
    different types of mail) or selectively forward certain incoming
    mail automatically to someone.

%prep
    %setup -q

%build
    %{l_shtool} subst \
        -e 's;^\(BASENAME[^=]*=\).*;\1 %{l_prefix};' \
        Makefile
    %{l_shtool} subst \
        -e 's;^/\*\(#define NO_fcntl_LOCK\);\1;' \
        -e 's;\(#define.*ETCRC[^"]"\)[^"]*\(".*\);\1%{l_prefix}/etc/procmail/procmailrc\2;' \
        -e 's;\(#define.*ETCRCS[^"]"\)[^"]*\(".*\);\1%{l_prefix}/etc/procmail/\2;' \
        config.h
    ( unset LD_LIBRARY_PATH 2>/dev/null || true
      dirlist=""
      for dir in "$HOME/tmp" /tmp $RPM_SOURCE_DIR $RPM_BUILD_DIR; do
          if [ -d $dir ]; then
              dirlist="$dirlist $dir"
          fi
      done
      echo "$dirlist" |\
      %{l_make} %{l_mflags} autoconf.h CC="%{l_cc}" CFLAGS="%{l_cflags -O}"
    )
    %{l_shtool} subst \
        -e 's;\(#define.*SENDMAIL[^"]*"\)[^"]*\(".*\);\1%{l_prefix}/sbin/sendmail\2;' \
        autoconf.h
    %{l_make} %{l_mflags} \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O}"

%install
    rm -rf $RPM_BUILD_ROOT

    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/procmail \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man5
    %{l_shtool} install -c -s \
        new/procmail new/lockfile new/formail \
        $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        new/*.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_shtool} install -c -m 644 \
        new/*.5 $RPM_BUILD_ROOT%{l_prefix}/man/man5/
    %{l_shtool} install -c -m 644 \
        -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE procmailrc} $RPM_BUILD_ROOT%{l_prefix}/etc/procmail/

    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%attr(6755,root,mail)       %{l_prefix}/bin/procmail' \
        '%attr(2755,%{l_mgrp},mail) %{l_prefix}/bin/lockfile' \

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

